%define name lame
%define version 3.99.5
%define release %mkrel 1
#define fversion 398

%define major		0
%define lib_name	%mklibname %{name} %{major}
%define expopt 		1


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	LAME Ain't an MP3 Encoder
License:	GPLv2
Group:		Sound
URL:		http://lame.sourceforge.net
Source:		http://prdownloads.sourceforge.net/lame/%{name}-%version.tar.xz
Source1:	lame
Buildroot:	%{_tmppath}/%name-%version-root/
BuildRequires:  autoconf2.5
BuildRequires:  ncurses-devel 
BuildRequires:  gtk-devel
%ifarch %{ix86}
BuildRequires:	nasm 
%endif
BuildRequires: 	libxi-static-devel 
BuildRequires:	libxext-static-devel 
BuildRequires:	libx11-static-devel 
BuildRequires:	libxau-static-devel 
BuildRequires:	libxdmcp-static-devel
Obsoletes:	notlame
Provides:	notlame

%description
Following the great history of GNU naming, LAME originally stood for LAME 
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the 
dist10 ISO demonstration source, and thus was incapable of producing an 
mp3 stream or even being compiled by itself. But in May 2000, the last 
remnants of the ISO source code were replaced, and now LAME is the source 
code for a fully GPL'd MP3 encoder, with speed and quality to rival all 
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.  
The goal of the LAME project is to use the open source model to improve 
the psycho acoustics, noise shaping and speed of MP3.

LAME is not for everyone - it is distributed as source code only and 
requires the ability to use a C compiler. However, many popular ripping 
and encoding programs include the LAME encoding engine, see: Software 
which uses LAME.

Personal and commercial use of compiled versions of LAME (or any other mp3 
encoder) requires a patent license in some countries.

%package mp3x
Summary:	MP3x analyzer for LAME
Group:		Sound
Requires:	%{name} = %{version}

%description mp3x
This is a graphical analyzer for lame.

%package -n %{lib_name}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	libmp3lame0
Provides:	libmp3lame0

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libmp3lame0-devel
Provides:	libmp3lame0-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

%package -n %{lib_name}-static-devel
Summary:	Static library for developing programs based on libmp3lame
Group:		Development/C
Requires:	%{lib_name}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Obsoletes:	libmp3lame0-static-devel
Provides:	libmp3lame0-static-devel

%description -n %{lib_name}-static-devel
This package contains the static library programmers will need to develop
applications which will use libmp3lame.

%prep
%setup -q -n %{name}-%version
ln -s acm ACM
cp -r doc/html .
#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
%if !%expopt
export CFLAGS="`echo %optflags |sed s/-O[23]/-O1/`"
%endif
export GTK_CONFIG=%_bindir/gtk-config
%configure2_5x \
%ifarch %{ix86}
	--enable-nasm \
%endif
%if %expopt
	--enable-expopt \
%endif
	--without-vorbis --enable-mp3x --enable-brhist 

#gw parallel build does not work
make 
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir}
#clean unpackaged files
rm -rf %buildroot/%_datadir/doc/lame

mv %buildroot%{_bindir}/lame %buildroot%{_bindir}/lame-actual

install -m 0755 %SOURCE1 %buildroot%{_bindir}/lame


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO USAGE html/ ChangeLog
%{_bindir}/lame
%{_bindir}/lame-actual
%{_mandir}/man1/lame.1*
%files -n %{lib_name}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc STYLEGUIDE API
%{_includedir}/*
%{_libdir}/libmp3lame.so

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/libmp3lame.a
%{_libdir}/libmp3lame.la

%files mp3x
%defattr (-,root,root)
%doc README
%{_bindir}/mp3x

%changelog
* Tue Feb 19 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.99.5-1pclos2013
- 3.99.5
- renamed spec to pclos-lame.spec
- added xz compression

* Fri Sep 18 2009 Texstar <texstar at gmail.com> 3.98-2pclos2009
- fix package for good mp3 encoding

* Thu Aug 21 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 3.98-1pclos2007
- New version 3.98

* Sat Nov 11 2006 ocilent1 <ocilent1 at gmail dot com> 3.97-1pclos2007
- Build for PCLinuxOS 2007
- Clean spec
